Bug 1129643 - [abrt] gjs: g_type_check_instance_is_fundamentally_a(): gjs-console killed by SIGSEGV
Summary: [abrt] gjs: g_type_check_instance_is_fundamentally_a(): gjs-console killed by...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gjs
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e79ee5bf05c7e8445c409d848c6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 12:19 UTC by Vladimir Benes
Modified: 2015-12-02 16:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:23:56 UTC


Attachments (Terms of Use)
File: backtrace (53.29 KB, text/plain)
2014-08-13 12:19 UTC, Vladimir Benes
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-13 12:19 UTC, Vladimir Benes
no flags Details
File: core_backtrace (27.63 KB, text/plain)
2014-08-13 12:19 UTC, Vladimir Benes
no flags Details
File: dso_list (21.70 KB, text/plain)
2014-08-13 12:19 UTC, Vladimir Benes
no flags Details
File: environ (1.06 KB, text/plain)
2014-08-13 12:19 UTC, Vladimir Benes
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-13 12:19 UTC, Vladimir Benes
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-13 12:19 UTC, Vladimir Benes
no flags Details
File: maps (96.85 KB, text/plain)
2014-08-13 12:19 UTC, Vladimir Benes
no flags Details
File: open_fds (1.43 KB, text/plain)
2014-08-13 12:19 UTC, Vladimir Benes
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2014-08-13 12:19 UTC, Vladimir Benes
no flags Details
File: var_log_messages (382 bytes, text/plain)
2014-08-13 12:19 UTC, Vladimir Benes
no flags Details

Description Vladimir Benes 2014-08-13 12:19:17 UTC
Description of problem:
reading google online document

Version-Release number of selected component:
gjs-1.41.4-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/gjs-console
kernel:         3.16.0-1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:3977
 #2 on_drag_begin at libgd/gd-main-view.c:828
 #6 g_signal_emit_by_name at gsignal.c:3405
 #7 gtk_drag_begin_internal at gtkdnd.c:2610
 #8 gtk_drag_source_event_cb at gtkdnd.c:3934
 #9 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #14 gtk_widget_event_internal at gtkwidget.c:7775
 #15 propagate_event_up at gtkmain.c:2413
 #16 propagate_event at gtkmain.c:2521
 #17 gtk_main_do_event at gtkmain.c:1747

Comment 1 Vladimir Benes 2014-08-13 12:19:21 UTC
Created attachment 926386 [details]
File: backtrace

Comment 2 Vladimir Benes 2014-08-13 12:19:22 UTC
Created attachment 926387 [details]
File: cgroup

Comment 3 Vladimir Benes 2014-08-13 12:19:24 UTC
Created attachment 926388 [details]
File: core_backtrace

Comment 4 Vladimir Benes 2014-08-13 12:19:26 UTC
Created attachment 926389 [details]
File: dso_list

Comment 5 Vladimir Benes 2014-08-13 12:19:27 UTC
Created attachment 926390 [details]
File: environ

Comment 6 Vladimir Benes 2014-08-13 12:19:28 UTC
Created attachment 926391 [details]
File: exploitable

Comment 7 Vladimir Benes 2014-08-13 12:19:29 UTC
Created attachment 926392 [details]
File: limits

Comment 8 Vladimir Benes 2014-08-13 12:19:32 UTC
Created attachment 926393 [details]
File: maps

Comment 9 Vladimir Benes 2014-08-13 12:19:33 UTC
Created attachment 926394 [details]
File: open_fds

Comment 10 Vladimir Benes 2014-08-13 12:19:34 UTC
Created attachment 926395 [details]
File: proc_pid_status

Comment 11 Vladimir Benes 2014-08-13 12:19:35 UTC
Created attachment 926396 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 15:15:48 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 03:23:59 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.